Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Dec 17 2019 02:06
    boxofrox opened #3309
  • Dec 16 2019 20:35
    Bascy opened #3308
  • Dec 16 2019 18:56
    irukard commented #3078
  • Dec 16 2019 15:53
    cychai1995 edited #3307
  • Dec 16 2019 15:53
    cychai1995 opened #3307
  • Dec 16 2019 04:57
    lackdaz commented #3286
  • Dec 16 2019 04:55
    lackdaz commented #3286
  • Dec 16 2019 04:55
    lackdaz commented #3286
  • Dec 16 2019 04:49
    lackdaz commented #3286
  • Dec 16 2019 04:48
    lackdaz commented #3286
  • Dec 16 2019 04:47
    lackdaz commented #3286
  • Dec 15 2019 21:21
    mlewand opened #3306
  • Dec 14 2019 15:23
    hmaarrfk opened #3305
  • Dec 14 2019 15:16
    hmaarrfk commented #3296
  • Dec 13 2019 19:41
    Misterion96 edited #3303
  • Dec 13 2019 19:41
    Misterion96 edited #3303
  • Dec 13 2019 19:41
    Misterion96 edited #3303
  • Dec 13 2019 19:41
    Misterion96 edited #3303
  • Dec 13 2019 19:28
    HeathPetersen opened #3304
  • Dec 13 2019 17:53
    burnsed commented #3120
Jonathan Dumaresq
@dumarjo
work well with pio run, but since the plugin don't work anymore with this setup, i wonder if workaround exist
camiloavil
@camiloavil
Hi guys. I got Platformio on atom Linux. But the console doesn't work. Anyone knows about it?
Chrizzly
@Chris2011
Hey all, are there any plans to support a tooilchain for low.js or espruino and for the supportes micro processors? It would be cool to have all in one plugin with different possibilites to use C/C++ or python or js :)
Shawn A
@tablatronix
ughh anyone know wtf this is compiling from gitError: VCS: Could not process command
Shawn A
@tablatronix
I bet its this ugh, I hate when I have to fix these Obsolete PIO Core v5.0.1 is used (previous was 5.0.2b2) Please remove multiple PIO Cores from a system:
atsteich
@atsteich
Hey Guys, I just managed, toc compile and Upload to consumed more than 100% RAM. Shouldn't there be an error popping up?
Jil Shah
@jilshah15
hey.i am new user of Thingsboard professional edition. i have performed IOT integration but my problem is when i put command in Mosquitto like mosquitto_pub --cert ./cert1/cert.crt --key ./cert1/private.key --cafile ./cert1/rootCA.pem.txt -h <aws iot endpoint> -p 8883 -t "sensors/devicename/temperature" -m "{\"value\":25}" this command is executed but no get any telemetry data.
Keith
@sauvant
@sauvant
Hi dear experts, I have an issue with compiling an Arduino library on esp-idf using Arduino as a component (on platformIO):
Message is "Serial' was not declared in this scope"
The library uses Serial.println from the arduino component, that seems to be not available while compiling
Any help is appreciated!
Agor Maxime
@4rzael

Hi ! I have a fairly weird issue:
I have a project with the following platformio.ini:

board_build.partitions = partition.csv
platform = espressif32
framework = arduino, espidf
board = esp32-wroom
monitor_speed = 115200
platform_packages =
        framework-arduinoespressif32 @ https://github.com/espressif/arduino-esp32.git#idf-release/v4.0
        framework-espidf @ https://github.com/espressif/esp-idf.git#release/v4.2

When I run a compilation(pio run -t upload), it says that it successfully downloaded esp-idf, with the version I asked it to. However, when I go into my ~/.platformio/packages/framework-espidf, the content is not esp-idf at all:

➜  framework-espidf ls
cjson-utils-tests.json  package.json  README.md  spec_tests.json  tests.json  version.txt

Which seems to be this repository: https://github.com/DaveGamble/cJSON/tree/master/tests/json-patch-tests

Any idea of what's happening ?

the ls -a is actually the following:

.   cjson-utils-tests.json  .gitignore  package.json  README.md        tests.json
..  .editorconfig           .npmignore  .piopm        spec_tests.json  version.txt

with the .piopm file containing the following:

{"type": "tool", "name": "framework-espidf", "version": "1.1.0+sha.8cd16b6", "spec": {"owner": "platformio", "id": null, "name": "framework-espidf", "requirements": null, "url": "git+https://github.com/espressif/esp-idf.git#release/v4.2"}}
Agor Maxime
@4rzael
Okay, so my problem was the lack of package.json file in the esp-idf repository. Is there another solution than forking esp-idf, and having to maintain my version of it ? (or hoping they'll accept a PR). Moreover, does anyone know how the default esp-idf (when no platform_packages is given) has a package.json ? Does pio maintain a custom version of it ?
Byron Johnson
@bwjohns4
I have two env’s with separate usb devices connected and configured in .ini file. Can I have them both simultaneously monitor and log2file?
Byron Johnson
@bwjohns4
Can you choose a file name for log2file to use?
Chrizzly
@Chris2011
Hey people, PlatformIO is just supporting C/C++ based controllers, right? No Espruino, or other JavaScript based boards?
OnurNP
@K0rkunc
hi
i need a p10 panel driver library
can u help me ?
OnurNP
@K0rkunc
to stm32
i need hal library
OnurNP
@K0rkunc
im activated external interrupt and cant connect wifi
how to fix that
OnurNP
@K0rkunc
When the esp32 external interrupt is activated and the interrupt comes, wifi does not connect or does not work how can I fix it please help
Usman Zain
@usmnzen_twitter
Hello, I am trying to use my sdk as framework. How do i use my sdk without publishing it? I have copied it into core_dir/packages directory.
Davide Perini
@sblantipodi
hi all, is there someone who can explain me the difference between the Arduino Core for ESP32 and the PlatformIO Core for ESP32?
is PlatformIO core aligned with the Arduino Core or with the IDF directly? What are the difference between the two?
Suppose that my code is tested with the Arduino Core, should I say that it will run great even with PlatformIO core?
Davide Perini
@sblantipodi

hi guys... is there something changed with the latest ESP8266 core ?
Hi have a setup.json file stored in my LittleFS memory...
if I reload the same firmware using Arduino OTA the file isn't readable right after flash...
never experienced this problem before...
_
Ivan Kravets
@ivankravets
All people moved to official community forums. Please forward your questions to https://community.platformio.org/
Davide Perini
@sblantipodi
ok thank you :)
Shawn A
@tablatronix
ugh forums
Chrizzly
@Chris2011
Is there a also a discord chan, I guess not, or?
Shawn A
@tablatronix
nope not that i see
Does pio library manager not pickup beta versions ?
I should, but it is not
Shawn A
@tablatronix
well I cant register on forum cause stupid site wont send the verify email
1 reply
Davide Perini
@sblantipodi
forum does not seems very active neither...
I try here too...
Since the latest upgrade to Platformio 5.2 I'm experiecing some weird issue with the OTA Upload. I've got the exact same error described here:
https://community.platformio.org/t/ota-wont-work-with-platformio-atom-but-works-with-arduinoide-no-response-from-the-esp/3894
but it works if I use Arduino IDE. any suggestion?
thanks
Davide Perini
@sblantipodi
ok it was a windows firewall problem
Davide Perini
@sblantipodi
guys is there any reasons why PlatformIO seems a living project while the ESP32 support seems dead?
Mike Dunston
@atanisoft
ESP32 support is alive and well, but seems that PIO has not picked up the newer arduino-esp32 2.0.0
but it does work with a few overrides in the platformio.ini file
Shawn A
@tablatronix
I am on day 3 of playing with pio#arduino-upstream and esp32 s2, also trying to figure out why my ota doesnt work, but other than that its not bad
but its not a timeout issue, its something with partitions
@sblantipodi have you tried the delay(1) in runupdate loop mod?